
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was rmol-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/rmol" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the RMOL package. It defines the following variables:
#  RMOL_VERSION         - version of RMOL
#  RMOL_BINARY_DIRS     - binary directories for RMOL
#  RMOL_INCLUDE_DIRS    - include directories for RMOL
#  RMOL_LIBRARY_DIRS    - library directories for RMOL
#  RMOL_LIBEXEC_DIR     - internal exec directory for RMOL
#  RMOL_LIBRARIES       - libraries to link against
#  RMOL_EXECUTABLES     - the RMOL binaries/executables
#

# Tell the user project where to find RMOL headers and libraries
set (RMOL_VERSION "1.00.14")
set (RMOL_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (RMOL_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (RMOL_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")
set (RMOL_LIBEXEC_DIR "${PACKAGE_PREFIX_DIR}/libexec")

# Library dependencies for RMOL (contains definitions for the RMOL IMPORTED
# targets)
include ("${CMAKE_CURRENT_LIST_DIR}/rmol-library-depends.cmake")

# These are the RMOL IMPORTED targets, created by rmol-library-depends.cmake
set (RMOL_LIBRARIES rmollib)
set (RMOL_EXECUTABLES rmol rmol_extractBPC rmol_drawBPC)
